package com.ruoyi.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 巡检任务对象 adm_op_inspection_task
 *
 * @author ruoyi
 * @date 2024-08-29
 */
public class AdmOpInspectionTask extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 任务代码 */
    @Excel(name = "任务代码")
    private String taskCode;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskName;

    /** 任务类型 */
    @Excel(name = "任务类型")
    private Integer taskType;

    /** 任务状态 */
    @Excel(name = "任务状态")
    private Integer taskStatus;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 执行人 */
    @Excel(name = "执行人")
    private String executor;

    /** 巡检对象 */
    @Excel(name = "巡检对象")
    private Integer objType;

    /** 选择巡检对象 */
    private String objCode;

    /** 对象名称 */
    @Excel(name = "对象名称")
    private String objName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTaskCode(String taskCode)
    {
        this.taskCode = taskCode;
    }

    public String getTaskCode()
    {
        return taskCode;
    }
    public void setTaskName(String taskName)
    {
        this.taskName = taskName;
    }

    public String getTaskName()
    {
        return taskName;
    }
    public void setTaskType(Integer taskType)
    {
        this.taskType = taskType;
    }

    public Integer getTaskType()
    {
        return taskType;
    }
    public void setTaskStatus(Integer taskStatus)
    {
        this.taskStatus = taskStatus;
    }

    public Integer getTaskStatus()
    {
        return taskStatus;
    }
    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }
    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }
    public void setExecutor(String executor)
    {
        this.executor = executor;
    }

    public String getExecutor()
    {
        return executor;
    }
    public void setObjType(Integer objType)
    {
        this.objType = objType;
    }

    public Integer getObjType()
    {
        return objType;
    }
    public void setObjCode(String objCode)
    {
        this.objCode = objCode;
    }

    public String getObjCode()
    {
        return objCode;
    }
    public void setObjName(String objName)
    {
        this.objName = objName;
    }

    public String getObjName()
    {
        return objName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskCode", getTaskCode())
            .append("taskName", getTaskName())
            .append("taskType", getTaskType())
            .append("taskStatus", getTaskStatus())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("executor", getExecutor())
            .append("objType", getObjType())
            .append("objCode", getObjCode())
            .append("objName", getObjName())
            .toString();
    }
}
